
RSB XML Support - Tasks #1141
Change integration-test to use default transport
08/16/2012 10:08 PM - J. Moringen

Status: Resolved Start date: 08/16/2012
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Language Integration Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Currently, the integration-test uses the spread Spread transport. It could be simplified. by using the default (currently socket
transport).

Related issues:
Blocked by Robotics Service Bus - Feature # 713: Implement socket-based trans... Resolved 07/06/2012

Associated revisions
Revision 5f2741d6 - 08/23/2013 03:32 PM - J. Moringen

Use TCP-socket transport instead of Spread transport

fixes #1141

    -  lisp/common.lisp (test-uri): changed URI scheme spread -> socket
    -  test/integrationtest.py (CommandStarter): removed; no longer needed

  (run): removed --spread commandline option; removed writing of
  Spread configuration file and execution of Spread subprocess;
  adapted environment variables accordingly

History
#1 - 08/23/2013 05:13 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb-xml-integrationtest|commit:5f2741d6b44b49f0955342c77806b99374e6bb4a.
